import * as React from 'react';
import { EventKey, DynamicRefForwardingComponent, TransitionCallbacks, TransitionType } from './types';
export interface TabPanelProps extends TransitionCallbacks, React.HTMLAttributes<HTMLElement> {
    as: React.ElementType;
    eventKey?: EventKey;
    active?: boolean;
    transition?: TransitionType;
    mountOnEnter?: boolean;
    unmountOnExit?: boolean;
}
declare const TabPanel: DynamicRefForwardingComponent<'div', TabPanelProps>;
export default TabPanel;
